<?php
session_start();

function addVote($punteggio, $hobby)
{
    if ($hobby == 'm') {
        setcookie("votiMusica", $_COOKIE['votiMusica'] + $punteggio, time() * 30);
        setcookie("nVotiMusica", $_COOKIE['nVotiMusica'] + 1, time() * 30);
    } else {
        setcookie("votiSport", $_COOKIE['votiSport'] + $punteggio, time() * 30);
        setcookie("nVotiSport", $_COOKIE['nVotiSport'] + 1, time() * 30);
    }
}

function createNecessaryCookies()
{
    if (!isset($_COOKIE['votiMusica'])) {
        setcookie("votiMusica", 0, time() * 30);
    }

    if (!isset($_COOKIE['nVotiMusica'])) {
        setcookie("nVotiMusica", 0, time() * 30);
    }
    if (!isset($_COOKIE['votiSport'])) {
        setcookie("votiSport", 0, time() * 30);
    }

    if (!isset($_COOKIE['nVotiSport'])) {
        setcookie("nVotiSport", 0, time() * 30);
    }
}

function risultatiPrecedenti()
{
    $nVotiMusica = $_COOKIE['nVotiMusica'];
    $votiMusica = $_COOKIE['votiMusica'];
    $nVotiSport = $_COOKIE['nVotiSport'];
    $votiSport = $_COOKIE['votiSport'];

    if ($nVotiSport == 0) {
        $nVotiSport = 1;
    }

    if ($nVotiMusica == 0) {
        $nVotiMusica = 1;
    }
    return array("mediaMusica" => $votiMusica / $nVotiMusica, "mediaSport" => $votiSport / $nVotiSport,
        "nVotiMusica" => $_COOKIE['nVotiMusica'], "nVotiSport" => $_COOKIE['nVotiSport']);
}

function checkPost()
{
    unset($_SESSION["error"]);

    if (empty($_POST["nome"]) || empty($_POST["sceltaHobby"])) {
        $_SESSION["error"] = "Fai prima il login per poter iniziare il Quiz";
        header("Location: login.php");
        exit();
    }

}

function checkSession()
{
    if (empty($_SESSION["nome"]) || empty($_SESSION["sceltaHobby"])) {
        $_SESSION["error"] = "Errore interno (Sessione non trovata)";
        header("Location: login.php");
        exit();
    }
}